--- old/usr/src/lib/libfakekernel/common/mapfile-vers	Mon Nov  6 02:54:35 2017
+++ new/usr/src/lib/libfakekernel/common/mapfile-vers	Mon Nov  6 02:54:35 2017
@@ -11,6 +11,7 @@
 
 #
 # Copyright 2015 Nexenta Systems, Inc.  All rights reserved.
+# Copyright 2017 RackTop Systems.
 #
 
 #
@@ -43,8 +44,21 @@
 	copyinstr;
 	copystr;
 
+	bioerror;
+	biodone;
+	bioinit;
+	geterror;
+
+	cyclic_add;
+	cyclic_remove;
+	cyclic_reprogram;
+
 	crfree;
 	crgetuid;
+	crgetruid;
+	crgetgid;
+	crgetngroups;
+	crgetgroups;
 	crhold;
 
 	cv_broadcast;
@@ -55,6 +69,7 @@
 	cv_signal;
 	cv_timedwait;
 	cv_timedwait_sig;
+	cv_timedwait_hires;
 	cv_wait;
 	cv_wait_sig;
 
@@ -62,9 +77,12 @@
 	ddi_get_lbolt;
 	ddi_get_pid;
 	ddi_strtoul;
+	ddi_strtoull;
 
 	delay;
 
+	fm_panic;
+
 	fakekernel_cprintf	{ FLAGS = NODIRECT };
 	fakekernel_init;
 	fakekernel_putlog	{ FLAGS = NODIRECT };
@@ -75,6 +93,10 @@
 
 	hz;
 
+	highbit64;
+
+	issig;
+
 	kcred;
 	kiconv;
 	kiconv_close;
@@ -81,6 +103,7 @@
 	kiconv_open;
 
 	kmem_alloc;
+	kmem_asprintf;
 	kmem_cache_alloc;
 	kmem_cache_create;
 	kmem_cache_destroy;
@@ -93,10 +116,15 @@
 
 	kmutex_destroy;
 	kmutex_init;
+	kmutex_enter;
+	kmutex_exit;
 
 	ksema_destroy;
 	ksema_init;
 
+	ksid_lookupdomain;
+	ksiddomain_rele;
+
 	ksocket_accept;
 	ksocket_bind;
 	ksocket_bind_helper	{ FLAGS = NODIRECT };
@@ -120,13 +148,18 @@
 
 	kstat_create;
 	kstat_create_zone;
+	kstat_named_init;
 	kstat_delete;
 	kstat_install;
+	kstat_waitq_enter;
+	kstat_waitq_exit;
+	kstat_runq_enter;
+	kstat_runq_exit;
+	kstat_waitq_to_runq;
+	kstat_runq_back_to_waitq;
 
 	msec_per_tick;
 
-	mutex_enter;
-	mutex_exit;
 	mutex_owned;
 	mutex_owner;
 	mutex_tryenter;
@@ -165,10 +198,12 @@
 
 	strfree;
 
+	system_taskq;
 	system_taskq_fini;	
 	system_taskq_init;
 	taskq_create;
 	taskq_create_proc;
+	taskq_create_sysdc;
 	taskq_destroy;
 	taskq_dispatch;
 	taskq_dispatch_ent;
@@ -175,8 +210,15 @@
 	taskq_member;
 	taskq_wait;
 
+	thread_create;
 	thread_join;
+	thread_exit;
 
+	tsd_get;
+	tsd_set;
+	tsd_create;
+	tsd_destroy;
+
 	tick_per_msec;
 	tsignal;
 	uiomove;
